Package org.apache.sling.cms.usergenerated

## Class UGCBucketConfig

- java.lang.Object
- - org.apache.sling.cms.usergenerated.UGCBucketConfig

    @ProviderType
    public class UGCBucketConfig
    extends Object

### Constructor Summary

Constructors
`UGCBucketConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UserGeneratedContentService.APPROVE_ACTION` `getAction()`
`String` `getBucket()`
`UserGeneratedContentService.CONTENT_TYPE` `getContentType()`
`int` `getPathDepth()`
`void` `setAction​(UserGeneratedContentService.APPROVE_ACTION action)`
`void` `setBucket​(String bucket)`
`void` `setContentType​(UserGeneratedContentService.CONTENT_TYPE contentType)`
`void` `setPathDepth​(int pathDepth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UGCBucketConfig

    public UGCBucketConfig()

### Method Detail

#### getContentType

    public UserGeneratedContentService.CONTENT_TYPE getContentType()

Returns:
  the contentType

#### setContentType

    public void setContentType​(UserGeneratedContentService.CONTENT_TYPE contentType)

Parameters:
  `contentType` - the contentType to set

#### getPathDepth

    public int getPathDepth()

Returns:
  the pathDepth

#### setPathDepth

    public void setPathDepth​(int pathDepth)

Parameters:
  `pathDepth` - the pathDepth to set

#### getBucket

    public String getBucket()

Returns:
  the bucket

#### setBucket

    public void setBucket​(String bucket)

Parameters:
  `bucket` - the bucket to set

#### getAction

    public UserGeneratedContentService.APPROVE_ACTION getAction()

Returns:
  the action

#### setAction

    public void setAction​(UserGeneratedContentService.APPROVE_ACTION action)

Parameters:
  `action` - the action to set